Package org.eclipse.m2m.atl.engine.vm

## Class ACTInterpreter.ACT

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ACTInterpreter.ACT

Enclosing class:
  ACTInterpreter

    protected class ACTInterpreter.ACT
    extends java.lang.Object

### Field Summary

Fields
`java.util.List` `file_s`
`java.util.List` `models`
`java.lang.String` `name`
`java.util.List` `operations`
`java.util.List` `params`
`java.util.List` `plugins`

### Constructor Summary

Constructors
`protected` `ACT()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### plugins

    public java.util.List plugins

#### file_s

    public java.util.List file_s

#### models

    public java.util.List models

#### params

    public java.util.List params

#### operations

    public java.util.List operations

### Constructor Detail

#### ACT

    protected ACT()